Skip to content

Comment List



GET /api/v1/error_track/comment/{issue_id}/list

Overview

Route Parameters

Parameter Name Type Required Description
issue_id string Y uuid
Allow Empty: False

Query Parameters

Parameter Name Type Required Description
pageSize integer Number of items per page
Allow Empty: False
Example: 10
pageIndex integer Page number
Allow Empty: False
Example: 1

Parameter Supplementary Description

Request Example

curl 'https://openapi.truewatch.com/api/v1/error_track/comment/<issue_id>/list' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "data": [
            {
                "workspaceUUID": "wksp_84c4a0044edc4f878ea88e4517659bda",
                "issueUUID": "isset_95f37a50926845c797ed5ceede14eff2",
                "issueID": "f8ff39d2b020aa185213e2d364badc8c",
                "comment": "test",
                "extend": {
                    "links": [],
                    "members": []
                },
                "id": 177,
                "uuid": "issetcomment_fc78dd9f4cb14c688f8b815ef4c24171",
                "status": 0,
                "creator": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
                "updator": "",
                "createAt": 1772789089,
                "deleteAt": -1,
                "updateAt": -1,
                "attachments": [],
                "creatorInfo": {
                    "uuid": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
                    "status": 0,
                    "wsAccountStatus": 0,
                    "username": "[email protected]",
                    "name": "Jin Lei788",
                    "iconUrl": "",
                    "email": "[email protected]",
                    "mobile": "17621725046",
                    "acntWsNickname": ""
                },
                "updatorInfo": {}
            }
        ],
        "pageInfo": {
            "pageIndex": 1,
            "pageSize": 10,
            "count": 1,
            "totalCount": 1
        }
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "16dc042a180c1ff6402a432b521df7a3"
}